#include "OrxoBloxStones.h"

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"

#include "OrxoBlox.h"

namespace orxonox
{
    RegisterClass(OrxoBloxStones);
    /**
    @brief
        Constructor. Registers and initializes the object.
    */
    OrxoBloxStones::OrxoBloxStones(Context* context) : Pawn(context)
    {
        RegisterObject(OrxoBloxStones);

        this->size_ = 9.0f;
        this->health_ = 1;
        this->delay_ = false;
    }

    unsigned int OrxoBloxStones::getHealth() {
        return this->health_;
    }

    void OrxoBloxStones::reduceHealth() {
        this->health_ -= 1;
    }

    float OrxoBloxStones::getSize() {
        return this->size_;
    }

    bool OrxoBloxStones::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
    {
        orxout() << "a stone should die" << endl;
        this->destroy();
        return true;
    }
}